# Loomio

"Loomio is a collaborative decision-making tool that makes it easy for anyone to participate in decisions which affect them. To find out more, visit Loomio.org."

<!-- metadata -->
* **Category**: Apps
* **Status**: 3, work-in-progress
* **Image**: [`loomio/*`](https://hub.docker.com/r/loomio), 4, upstream
* **Healthcheck**: Yes
* **Backups**: Yes
* **Email**: Outgoing yes, incoming no
* **Tests**: No
* **SSO**: No
<!-- endmetadata -->

## Basic usage

* `abra app new loomio --secrets   ` (optionally with `--pass` if you'd like to save secrets in `pass`)
* `abra app config <app-name>`
* insert your smtp password with `abra app secret insert <app-name> smtp_password v1 "<your-password>"`
* `abra app deploy <app-name>`
* Open the configured domain in your browser to create your user account (only works in case mail is configured correctly)
* Give yourself admin rights by running `abra app cmd <app-name> app make_last_user_admin`

## Migration guide

### Upgrading to 4.0.0+v2.25.3 and later

* Before upgrading to `4.0.0+v2.25.3` and later, one successful deployment of `3.0.0+v2.25.3` shall be performed. Doing both at the same time will lead to complications as 3.0.0 runs rails DB migrations and 4.0.0 upgrades the postgres DB version.

### Broken releases

Please do not use these releases, as they are having issues regarding database migrations:

* 1.0.0+v2.25.2
* 2.0.0+v2.25.3
* 2.1.0+v2.25.3

### Manual migration steps when upgrading from 0.6.0+v2.25.2 and earlier to 1.0.0+v2.25.2 and later

* adapt your env file with the new vars, especially SECRET_DB_PASSWORD_VERSION=v1 and SECRET_SMTP_PASSWORD_VERSION=v1
* insert your smtp password with `abra app secret insert <app-name> smtp_password v1 "<your-password>"`
* `abra app secret generate <app-name> db_password v1`
* `abra app deploy <app-name>`
* set the new password in DB: `abra app cmd <app-name> db set_new_db_password`
* redeploy if necessary

For more, see [docs.coopcloud.tech](https://docs.coopcloud.tech).
